org.eclipse.emf.facet.widgets.celleditors.modelCellEditor

## Interface AbstractModelCellEditor

All Known Subinterfaces:
  BasicCellEditor, NaryFeatureCellEditor, UnaryReferenceCellEditor

    public interface AbstractModelCellEditor

A representation of the model object ' Abstract Model Cell Editor'.

The following features are supported:

- `Cell Type`
- `Cell Id`

See Also:
  `ModelCellEditorPackage.getAbstractModelCellEditor()`
Generated:
Model:
  abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getCellId()` Returns the value of the 'Cell Id' attribute.
`EClassifier` `getCellType()` Returns the value of the 'Cell Type' reference.
`java.lang.String` `getModelCellEditorImpl()`
`void` `setCellId(java.lang.String value)` Sets the value of the ' `Cell Id`' attribute.
`void` `setCellType(EClassifier value)` Sets the value of the ' `Cell Type`' reference.

### Method Detail

#### getCellType

    EClassifier getCellType()

Returns the value of the 'Cell Type' reference.

If the meaning of the 'Cell Type' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Cell Type' reference.
See Also:
  `setCellType(EClassifier)`, `ModelCellEditorPackage.getAbstractModelCellEditor_CellType()`
Generated:
Model:
  required="true"

#### setCellType

    void setCellType(EClassifier value)

Sets the value of the ' `Cell Type`' reference.

Parameters:
  `value` - the new value of the 'Cell Type' reference.
See Also:
  `getCellType()`
Generated:

#### getCellId

    java.lang.String getCellId()

Returns the value of the 'Cell Id' attribute.

If the meaning of the 'Cell Id' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Cell Id' attribute.
See Also:
  `setCellId(String)`, `ModelCellEditorPackage.getAbstractModelCellEditor_CellId()`
Generated:
Model:
  required="true"

#### setCellId

    void setCellId(java.lang.String value)

Sets the value of the ' `Cell Id`' attribute.

Parameters:
  `value` - the new value of the 'Cell Id' attribute.
See Also:
  `getCellId()`
Generated:

#### getModelCellEditorImpl

    java.lang.String getModelCellEditorImpl()

Generated:
Model:
  kind="operation" required="true"